Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# Socket

###
Companion object Socket

#### class Socket extends Bytes with Closeable

Source
  Socket.scala

Linear Supertypes
Closeable, AutoCloseable, Bytes, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Socket
2. Closeable
3. AutoCloseable
4. Bytes
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Socket(jsocket: java.net.Socket)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Socket toany2stringadd[Socket] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Socket, B)
   Implicit
     This member is added by an implicit conversion from Socket toArrowAssoc[Socket] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def applyReaderAndWriter[T](f: (BufferedReader, PrintWriter) => T): T

   Creates an InputStream and applies the closure, automatically closing it on completion.

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def bufferedInput(): BufferedInputStream
   Definition Classes
     Bytes
9.  def bufferedOutput(size: Int): BufferedOutputStream
10.  def bufferedReader(implicit codec: Codec): BufferedReader
11.  def bytes(): Iterator[Byte]
    Definition Classes
      Bytes
12.  def bytesAsInts(): Iterator[Int]
    Definition Classes
      Bytes
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  def close(): Unit
    Definition Classes
      Socket → Closeable → AutoCloseable
15.  def ensuring(cond: (Socket) => Boolean, msg: => Any): Socket
    Implicit
      This member is added by an implicit conversion from Socket toEnsuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (Socket) => Boolean): Socket
    Implicit
      This member is added by an implicit conversion from Socket toEnsuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): Socket
    Implicit
      This member is added by an implicit conversion from Socket toEnsuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): Socket
    Implicit
      This member is added by an implicit conversion from Socket toEnsuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Socket toStringFormat[Socket] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def getPort(): Int
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def inputStream(): InputStream
    Definition Classes
      Socket → Bytes
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  def length: Long
    Definition Classes
      Bytes
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  def outputStream(): OutputStream
33.  def printWriter(): PrintWriter
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toByteArray(): Array[Byte]
    Definition Classes
      Bytes
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Socket, B)
   Implicit
     This member is added by an implicit conversion from Socket toArrowAssoc[Socket] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from Bytes

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSocket to any2stringadd[Socket]

### Inherited by implicit conversion StringFormat fromSocket to StringFormat[Socket]

### Inherited by implicit conversion Ensuring fromSocket to Ensuring[Socket]

### Inherited by implicit conversion ArrowAssoc fromSocket to ArrowAssoc[Socket]

### Ungrouped